# Interface ICefNavigationEntry

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefNavigationEntry = interface(ICefBaseRefCounted)`

## Description

Interface used to represent an entry in navigation history.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_navigation_entry_capi.h">CEF source file: /include/capi/cef_navigation_entry_capi.h (cef_navigation_entry_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefNavigationEntry

## Overview

### Methods

| `function IsValid: Boolean;`
| `function GetUrl: ustring;`
| `function GetDisplayUrl: ustring;`
| `function GetOriginalUrl: ustring;`
| `function GetTitle: ustring;`
| `function GetTransitionType: TCefTransitionType;`
| `function HasPostData: Boolean;`
| `function GetCompletionTime: TDateTime;`
| `function GetHttpStatusCode: Integer;`
| `function GetSSLStatus: ICefSSLStatus;`

### Properties

| `property Url : ustring read GetUrl;`
| `property DisplayUrl : ustring read GetDisplayUrl;`
| `property OriginalUrl : ustring read GetOriginalUrl;`
| `property Title : ustring read GetTitle;`
| `property TransitionType : TCefTransitionType read GetTransitionType;`
| `property CompletionTime : TDateTime read GetCompletionTime;`
| `property HttpStatusCode : Integer read GetHttpStatusCode;`
| `property SSLStatus : ICefSSLStatus read GetSSLStatus;`

## Description

### Methods

| `function IsValid: Boolean;`
Returns true (1) if this object is valid. Do not call any other functions if this function returns false (0). ###### Attributes GUID['{D17B4B37-AA45-42D9-B4E4-AAB6FE2AB297}']

| `function GetUrl: ustring;`
Returns the actual URL of the page. For some pages this may be data: URL or similar. Use get_display_url() to return a display-friendly version.

| `function GetDisplayUrl: ustring;`
Returns a display-friendly version of the URL.

| `function GetOriginalUrl: ustring;`
Returns the original URL that was entered by the user before any redirects.

| `function GetTitle: ustring;`
Returns the title set by the page. This value may be NULL.

| `function GetTransitionType: TCefTransitionType;`
Returns the transition type which indicates what the user did to move to this page from the previous page.

| `function HasPostData: Boolean;`
Returns true (1) if this navigation includes post data.

| `function GetCompletionTime: TDateTime;`
Returns the time for the last known successful navigation completion. A navigation may be completed more than once if the page is reloaded. May be 0 if the navigation has not yet completed.

| `function GetHttpStatusCode: Integer;`
Returns the HTTP status code for the last known successful navigation response. May be 0 if the response has not yet been received or if the navigation has not yet completed.

| `function GetSSLStatus: ICefSSLStatus;`
Returns the SSL information for this navigation entry.

### Properties

| `property Url : ustring read GetUrl;`
Returns the actual URL of the page. For some pages this may be data: URL or similar. Use get_display_url() to return a display-friendly version.

| `property DisplayUrl : ustring read GetDisplayUrl;`
Returns a display-friendly version of the URL.

| `property OriginalUrl : ustring read GetOriginalUrl;`
Returns the original URL that was entered by the user before any redirects.

| `property Title : ustring read GetTitle;`
Returns the title set by the page. This value may be NULL.

| `property TransitionType : TCefTransitionType read GetTransitionType;`
Returns the transition type which indicates what the user did to move to this page from the previous page.

| `property CompletionTime : TDateTime read GetCompletionTime;`
Returns the time for the last known successful navigation completion. A navigation may be completed more than once if the page is reloaded. May be 0 if the navigation has not yet completed.

| `property HttpStatusCode : Integer read GetHttpStatusCode;`
Returns the HTTP status code for the last known successful navigation response. May be 0 if the response has not yet been received or if the navigation has not yet completed.

| `property SSLStatus : ICefSSLStatus read GetSSLStatus;`
Returns the SSL information for this navigation entry.

Generated by PasDoc 0.16.0-snapshot.